cpw.mods.fml.common

## Enum TickType

- java.lang.Object
- - java.lang.Enum<TickType>
  - - cpw.mods.fml.common.TickType

- All Implemented Interfaces:
    Serializable, Comparable<TickType>

      public enum TickType
      extends Enum<TickType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLIENT` client side only Fired once per client tick loop.
    `CLIENTGUI` Deprecated.
    `GUI` Deprecated.
    `PLAYER` client and server side.
    `RENDER` client side Fired during the render processing phase arg 0 : float "partial render time"
    `SERVER` server side only.
    `WORLD` Fired during the world evaluation loop server and client side arg 0 : The world that is ticking
    `WORLDLOAD` server side Fired once as the world loads from disk

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EnumSet<TickType>` | `partnerTicks()` Partner ticks that are also cancelled by returning false from onTickInGame
    `static TickType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TickType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WORLD

          public static final TickType WORLD

      Fired during the world evaluation loop server and client side arg 0 : The world that is ticking

    - #### RENDER

          public static final TickType RENDER

      client side Fired during the render processing phase arg 0 : float "partial render time"

    - #### GUI

          @Deprecated
          public static final TickType GUI

      Deprecated.
      Not fired

    - #### CLIENTGUI

          @Deprecated
          public static final TickType CLIENTGUI

      Deprecated.
      Not fired

    - #### WORLDLOAD

          public static final TickType WORLDLOAD

      server side Fired once as the world loads from disk

    - #### CLIENT

          public static final TickType CLIENT

      client side only Fired once per client tick loop.

    - #### PLAYER

          public static final TickType PLAYER

      client and server side. Fired whenever the players update loop runs. arg 0 : the player arg 1 : the world the player is in

    - #### SERVER

          public static final TickType SERVER

      server side only. This is the server game tick. Fired once per tick loop on the server.

  - ### Method Detail

    - #### values

          public static TickType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TickType c : TickType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TickType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### partnerTicks

          public EnumSet<TickType> partnerTicks()

      Partner ticks that are also cancelled by returning false from onTickInGame